import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _SFSpeechLanguageModelConfiguration extends _NSObject {
    static alloc(): _SFSpeechLanguageModelConfiguration;
    static new(): _SFSpeechLanguageModelConfiguration;
    init(): _SFSpeechLanguageModelConfiguration;
    /** Creates a configuration with the location of a language model file. */
    initWithLanguageModel$(languageModel: _NSURL): _SFSpeechLanguageModelConfiguration;
    /**
     * Creates a configuration with the locations of language model and vocabulary files.
     */
    initWithLanguageModel$vocabulary$(languageModel: _NSURL, vocabulary: _NSURL | null): _SFSpeechLanguageModelConfiguration;
    /**
     * Creates a configuration with the locations of language model and vocabulary files, and custom weight.
     */
    initWithLanguageModel$vocabulary$weight$(languageModel: _NSURL, vocabulary: _NSURL | null, weight: _NSNumber | null): _SFSpeechLanguageModelConfiguration;
    /** The location of a compiled language model file. */
    languageModel(): _NSURL;
    /** The location of a compiled vocabulary file. */
    vocabulary(): _NSURL | null;
    /**
     * The relative weight of the language model customization. Value must be between 0.0 and 1.0 inclusive.
     */
    weight(): _NSNumber | null;
}
export interface _SFSpeechLanguageModelConfiguration extends _NSCopying, _NSSecureCoding {
}
